{{- if and .Values.wdm.enabled .Values.wdm.ingress.enabled -}}
{{- $releaseName := .Release.Name -}}
{{- $serviceName := include "wiedoetermee.wdm.fullname" . }}
{{- $extraPaths := .Values.wdm.ingress.extraPaths -}}
apiVersion:  {{ template "ingress.apiVersion" . }}
kind: Ingress
metadata:
{{- if .Values.wdm.ingress.annotations }}
  annotations:
{{ toYaml .Values.wdm.ingress.annotations | indent 4 }}
{{- end }}
  labels:
    {{- include "wiedoetermee.wdm.labels" . | nindent 4 }}
{{- range $key, $value := .Values.wdm.ingress.extraLabels }}
    {{ $key }}: {{ $value }}
{{- end }}
  name: {{ template "wiedoetermee.wdm.fullname" . }}
{{ include "wiedoetermee.namespace" . | indent 2 }}
spec:
  rules:
  {{- range .Values.wdm.ingress.hosts }}
  - host: {{ . }}
    http:
      paths:
        - path: /
          pathType: Prefix
          backend:
            service:
              name: {{ $serviceName }}
              port: 
                name: http
  {{- end -}}
{{- if .Values.wdm.ingress.tls }}
  tls:
{{ toYaml .Values.wdm.ingress.tls | indent 4 }}
  {{- end -}}
{{- end -}}
